Skip to content

Replace Log Receiver.

PUT
/api/config/namespaces/{metadata.namespace}/log_receivers/{metadata.name}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/log_receivers/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "site_local": {}, "syslog": { "syslog_rfc5424": 1, "tcp_server": { "port": 1, "server_name": "example" }, "tls_server": { "default_https_port": {}, "default_syslog_tls_port": {}, "mtls_disabled": {}, "mtls_enable": { "certificate": "example", "key_url": { "blindfold_secret_info": { "decryption_provider": "example", "location": "example", "store_provider": "example" }, "clear_secret_info": { "provider": "example", "url": "https://example.com" } } }, "port": 1, "server_name": "example", "trusted_ca_url": "example", "volterra_ca": {} }, "udp_server": { "port": 1, "server_name": "example" } } } }'

Replaces the content of an Log Receiver object.

Examples of this operation.

metadata.namespace
required
string

Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

metadata.name
required
string

Name The configuration object to be replaced will be looked up by name.

Media typeapplication/json
ReplaceRequest is used to replace contents of a log_receiver

This is the input message of the ‘Replace’ RPC.

object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
spec
object
site_local
object
syslog
object
syslog_rfc5424
Syslog RFC5424 Format

Exclusive with [] Select RFC5424 syslog format and maximum message length.

integer format: int64
tcp_server
object
port
Port Number

Port number used for communication Required: YES.

integer format: int64
>= 1 <= 65535
server_name
Server Name

Server name is fully qualified domain name or IP address of the server Required: YES.

string
<= 256 characters
tls_server
object
default_https_port
object
default_syslog_tls_port
object
mtls_disabled
object
mtls_enable
object
certificate

Client certificate is PEM-encoded certificate or certificate-chain.

string
<= 131072 characters
key_url
object
blindfold_secret_info
object
decryption_provider
Decryption Provider

Name of the Secret Management Access object that contains information about the backend Secret Management service.

string
<= 1024 characters
location
Location

Location is the uri_ref. It could be in URL format for string:/// Or it could be a path if the store provider is an HTTP/HTTPS location Required: YES.

string
>= 4 characters <= 1024 characters
store_provider
Store Provider

Name of the Secret Management Access object that contains information about the store to GET encrypted bytes This field needs to be provided only if the URL scheme is not string:///.

string
<= 1024 characters
clear_secret_info
object
provider
Provider

Name of the Secret Management Access object that contains information about the store to GET encrypted bytes This field needs to be provided only if the URL scheme is not string:///.

string
>= 3 characters <= 1024 characters
url
URL

URL of the secret. Currently supported URL schemes is string:///. For string:/// scheme, Secret needs to be encoded Base64 format. When asked for this secret, caller will GET Secret bytes after Base64 decoding. Required: YES.

string format: uri
<= 131072 characters
port
Custom Port Number

Exclusive with [default_https_port default_syslog_tls_port] Custom port number used for communication.

integer format: int64
>= 1 <= 65535
server_name
Server Name

ServerName is passed to the server for SNI and is used in the client to check server certificates against. Required: YES.

string
<= 256 characters
trusted_ca_url
Server CA certificates

Exclusive with [volterra_ca] The URL or value for trusted Server CA certificate or certificate chain Certificates in PEM format including the PEM headers.

string
<= 131072 characters
volterra_ca
object
udp_server
object
port
Port Number

Port number used for communication Required: YES.

integer format: int64
>= 1 <= 65535
server_name
Server Name

Server name is fully qualified domain name or IP address of the server Required: YES.

string
<= 256 characters
Examplegenerated
{
"metadata": {
"annotations": {},
"description": "example",
"disable": true,
"labels": {},
"name": "example",
"namespace": "example"
},
"spec": {
"site_local": {},
"syslog": {
"syslog_rfc5424": 1,
"tcp_server": {
"port": 1,
"server_name": "example"
},
"tls_server": {
"default_https_port": {},
"default_syslog_tls_port": {},
"mtls_disabled": {},
"mtls_enable": {
"certificate": "example",
"key_url": {
"blindfold_secret_info": {
"decryption_provider": "example",
"location": "example",
"store_provider": "example"
},
"clear_secret_info": {
"provider": "example",
"url": "https://example.com"
}
}
},
"port": 1,
"server_name": "example",
"trusted_ca_url": "example",
"volterra_ca": {}
},
"udp_server": {
"port": 1,
"server_name": "example"
}
}
}
}

A successful response.

Media typeapplication/json
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example